import { interval } from 'rxjs';
import { takeWhile } from 'rxjs/operators';
export class AppSketch {
    constructor() {
        this.data = {};
        interval(100).pipe(takeWhile(i => i <= 100)).subscribe((i) => {
            this.data = Object.assign({}, this.data, { label: 'progress: ' + i });
        });
    }
    render() {
        return (h("div", { class: 'text-center' },
            h("sk-sketch-index", null),
            h("sk-icon-logo-ema", { "data-json": '{"version":"0.0.1"}' }),
            h("sk-home-content", { "data-json": '{"title":"dynamic title"}', class: 'img-fluid' })));
    }
    static get is() { return "ema-app-sketch"; }
    static get properties() { return {
        "data": {
            "state": true
        },
        "dataJson": {
            "type": String,
            "attr": "data-json"
        },
        "el": {
            "elementRef": true
        }
    }; }
    static get style() { return "/**style-placeholder:ema-app-sketch:**/"; }
}
